X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

It asks me to close firefox,but I have done this before

Posted

I even have closed other programs but the error is still takin place

Additional System Details

Installed Plug-ins

  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Default Plug-in
  • BrowserPlus -- Improve your browser! -- http://browserplus.yahoo.com/
  • Shockwave Flash 10.0 r42
  • Yahoo Application State Plugin version 1.0.0.7
  • 3.0.40624.0
  • NPWLPG
  • Google Update
  • Adobe PDF Plug-In For Firefox and Netscape

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.25) Gecko/20111212 BTRS35926 Firefox/3.6.25

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10746 solutions 96704 answers

If there are problems with updating then best is to download the full version of the Firefox installer.

Download a fresh Firefox copy and save the file to the desktop.

Uninstall your current Firefox version, if possible, to cleanup the Windows registry and settings in security software.

  • Do NOT remove personal data when you uninstall your current Firefox version, because all profile folders will be removed and you will also lose your personal data like bookmarks and passwords from profiles of other Firefox versions.

Remove the Firefox program folder before installing that newly downloaded copy of the Firefox installer.

Your bookmarks and other profile data are stored in the Firefox Profile Folder and won't be affected by an uninstall and (re)install, but make sure that "remove personal data" is NOT selected when you uninstall Firefox.

You should also update your plugins


Tyler Downer
  • Administrator
  • Moderator
1164 solutions 6635 answers

Ok, there are a bunch of other problems you have here, so let's get all of them resolved :)

Firefox, restart your PC.


Second, update Firefox to 18.0. Update Firefox to the latest version

Then, follow the steps at Websites say that Firefox is outdated or incompatible even though it's the latest version

After that, update your plugins. https://www.mozilla.org/plugincheck/

Finally, Reset Firefox. Reset Firefox – easily fix most problems